vga.pinout 11, 12, 13, 14, 0,   8, 20, 3, 46, 9, 10,  4, 5, 6, 7, 15,  16, 17, 18, 21
vga.delete
'vga.setup 10, 8, 50, 480, 10, 8, 20, 480, 12e6, 1, 3, 2, 1
vga.init 13, 3

pin.mode 40, output
pin.mode 2, output
pin.mode 1, output
pin(40) = 0 'RELAY_1=40
pin(2) = 0 'RELAY_2=2
pin(1) = 0  'RELAY_3=1
tft.loadfont "/helmut/fonts/FreeSansBold10pt7b.bin", 10
'tft.loadfont "/fonts/FreeMonoBold10pt7b.bin", 11

pwm.setup 38, 7, 500 ' backlight (128 = 50%)

i2c.setup 19, 45 ' set i2c for touch
option.touch 1 ' enable touch
touch.idle ' starts the touch for 480x480

touch_p = 0
vga.fill 0
vga.show

active_page = 0

lampOn$ = "/helmut/img/Lamp_on_45_3.bmp"
lampOff$ = "/helmut/img/Lamp_45_3.bmp"

leftOn$ = "/helmut/img/arrow_LH_60_on.bmp"
leftOff$ = "/helmut/img/arrow_LH_60_off.bmp"

rightOn$ = "/helmut/img/arrow_RH_60_on.bmp"
rightOff$ = "/helmut/img/arrow_RH_60_off.bmp"

room_id = 0 ' starts from room 1
MAX_ROOMS = 4

gosub goNextPage

' refresh the content of the pages
' here you can associate the values with the objects for each page
while 1
  select case room_id
    case 1:
      vgagui.setText t1, str$(touch.x)
      vgagui.setText t2, str$(touch.y)
      
    case 2:
      vgagui.setText t1, str$(rnd(1000))
      vgagui.setText t2, str$(rnd(1000))
      
    case 3:
      vgagui.setText t1, str$((millis\100) mod 1000)
      vgagui.setText t2, str$((millis\500) mod 1000)
      vgagui.setText t3, str$((millis\1000) mod 1000)
      
    case 4:
      vgagui.setText t1, str$((millis\100) mod 1000)
      vgagui.setText t2, str$((millis\500) mod 1000)
            
  end select
  touch.read
  vgagui.refresh 1, touch.x, touch.y, touch.z
  vga.show
wend

end




draw_room1:
vgagui.init 50
vgagui.image 0,0,0,0, "/helmut/img/EG_480.bmp"
t1 = vgagui.textline (380,10,60, 30, "t1", 10)
'wlog "siebte Variable im ersten Unterprogramm"
'wlog t1
t2 = vgagui.textline (380,80,60, 30, "t2", 10)
'wlog "achte Variable im ersten Unterprogramm"
'wlog t2

prev = vgagui.ButtonImage(5, 420, 60, 60, leftOn$, leftOff$, toggle)
after= vgagui.ButtonImage(70, 420, 60, 60, rightOn$, rightOff$, toggle)
vgagui.setevent prev, TOUCH,  goPreviousPage
vgagui.setevent after, TOUCH,  goNextPage

bi1   = vgagui.ButtonImage(140, 376, 48, 48, lampOn$, lampOff$, toggle)
vgagui.setevent bi1, CHANGE ,  Relais1
'wlog "erste Variable im ersten Unterprogramm"
'wlog bi1
bi2   = vgagui.ButtonImage(129, 110, 48, 48, lampOn$, lampOff$, toggle)
vgagui.setevent bi2, CHANGE ,  Relais2
bi3   = vgagui.ButtonImage(310, 75, 48, 48, lampOn$, lampOff$, toggle)
vgagui.setevent bi3, CHANGE ,  Relais3
bi4   = vgagui.ButtonImage(337, 200, 48, 48, lampOn$, lampOff$, toggle)
vgagui.setevent bi4, CHANGE ,  Relais4
bi5   = vgagui.ButtonImage(250, 250, 48, 48, lampOn$, lampOff$, toggle)
vgagui.setevent bi5, CHANGE ,  Relais5
bi6   = vgagui.ButtonImage(323, 430, 48, 48, lampOn$, lampOff$, toggle)
vgagui.setevent bi6, CHANGE ,  Relais6

return

draw_room2:
vgagui.init 50
vgagui.image 0,0,0,0, "/helmut/img/OG_480.bmp"
t1 = vgagui.textline (80,10,60, 30, "t1", 10)
'wlog "erste Variable im ersten Unterprogramm"
'wlog t1
t2 = vgagui.textline (80,120,60, 30, "t2", 10)
'wlog "zweite Variable im ersten Unterprogramm"
'wlog t2

prev = vgagui.ButtonImage(5, 420, 60, 60, leftOn$, leftOff$, toggle)
'wlog "dritte Variable im ersten Unterprogramm"
'wlog prev

after= vgagui.ButtonImage(70, 420, 60, 60, rightOn$, rightOff$, toggle)
'wlog "vierte Variable im ersten Unterprogramm"
'wlog after
vgagui.setevent prev, TOUCH,  goPreviousPage
vgagui.setevent after, TOUCH,  goNextPage

bi1   = vgagui.ButtonImage(220, 50, 48, 48, lampOn$, lampOff$, toggle)
vgagui.setevent bi1, CHANGE ,  Relais1
'wlog "fünfte Variable im ersten Unterprogramm"
'wlog bi1
bi2   = vgagui.ButtonImage(100, 240, 48, 48, lampOn$, lampOff$, toggle)
vgagui.setevent bi2, CHANGE ,  Relais2
bi3   = vgagui.ButtonImage(360, 180, 48, 48, lampOn$, lampOff$, toggle)
vgagui.setevent bi3, CHANGE ,  Relais3

return


draw_room3:
vgagui.init 50
vgagui.image 0,0,0,0, "/helmut/img/Heizung_480.bmp"
t1 = vgagui.textline (90,60,60, 30, "t1", 10)
t2 = vgagui.textline (350,60,60, 30, "t2", 10)
t3 = vgagui.textline (205,320,60, 30, "t3", 10)

prev = vgagui.ButtonImage(5, 420, 60, 60, leftOn$, leftOff$, toggle)
after= vgagui.ButtonImage(70, 420, 60, 60, rightOn$, rightOff$, toggle)
vgagui.setevent prev, TOUCH,  goPreviousPage
vgagui.setevent after, TOUCH,  goNextPage

bi1   = vgagui.ButtonImage(55, 220, 48, 48, lampOn$, lampOff$, toggle)
vgagui.setevent bi1, CHANGE ,  Relais1
bi2   = vgagui.ButtonImage(310, 180, 48, 48, lampOn$, lampOff$, toggle)
vgagui.setevent bi2, CHANGE ,  Relais2
bi3   = vgagui.ButtonImage(320, 360, 48, 48, lampOn$, lampOff$, toggle)
vgagui.setevent bi3, CHANGE ,  Relais3
return

draw_room4:
vgagui.init 50
vgagui.image 0,0,0,0, "/helmut/img/Kueche_480.bmp"
t1 = vgagui.textline (200,130,60, 30, "t1", 10)
t2 = vgagui.textline (50,210,60, 30, "t2", 10)

prev = vgagui.ButtonImage(5, 420, 60, 60, leftOn$, leftOff$, toggle)
after= vgagui.ButtonImage(70, 420, 60, 60, rightOn$, rightOff$, toggle)
vgagui.setevent prev, TOUCH,  goPreviousPage
vgagui.setevent after, TOUCH,  goNextPage

bi1   = vgagui.ButtonImage(140, 60, 48, 48, lampOn$, lampOff$, toggle)
vgagui.setevent bi1, CHANGE ,  Relais1
bi2   = vgagui.ButtonImage(400, 80, 48, 48, lampOn$, lampOff$, toggle)
vgagui.setevent bi2, CHANGE ,  Relais2
return

''''''''''' EVENTS '''''''''''''''''
goNextPage:
active_page = 1-active_page
print "write", active_page
vga.writepage active_page
vga.rect 0,0,480,480,black,1
incr room_id
if room_id > MAX_ROOMS then room_id = 1
gosub "draw_room" + str$(room_id )
vgagui.refresh
'vga.show
print "show", active_page
vga.showpage active_page
return

goPreviousPage:
active_page = 1-active_page
vga.writepage active_page
vga.rect 0,0,480,480,black,1
decr room_id
if room_id < 1 then room_id = MAX_ROOMS
gosub "draw_room" + str$(room_id )
vgagui.redraw
vga.show
vga.showpage active_page
return


clearAll:
pin(40) = 1 - pin(40) ' simple way to toggle a pin
return

Relais1:
pin(40) = 1 - pin(40)
return

Relais2:
pin(2) = 1 - pin(2)
return

Relais3:
pin(1) = 1 - pin(1)
return

Relais4:
pin(1) = 1 - pin(1)
return

Relais5:
pin(1) = 1 - pin(1)
return

Relais6:
pin(1) = 1 - pin(1)
return
